﻿* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(45deg, #003cff, #00e1ff);
}

.Login {
    width: 400px;
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 20px;
}

h1 {
    font-size: 60px;
    color: #003cff;
    margin-top: 50px;
    margin-bottom: 20px;
}

.Text {
    position: relative;
    display: grid;
    grid-template-columns: 30px auto;
    padding: 10px 0;
    margin-top: 20px;
    border-bottom: 1px solid #555;
}

    .Text input {
        background: transparent;
        border: 0;
        width: 200px;
        outline: none;
    }

    .Text:nth-child(2) {
        grid-template-columns: 30px auto 30px;
    }

    .Text:nth-child(3) {
        grid-template-columns: 30px auto 30px;
    }

    .Text:nth-child(2) input[type="password"] ~ .fa-eye {
        display: none;
    }

    .Text:nth-child(2) input[type="text"] ~ .fa-eye-slash {
        display: none;
    }

    .Text:nth-child(3) input[type="password"] ~ .fa-eye {
        display: none;
    }

    .Text:nth-child(3) input[type="text"] ~ .fa-eye-slash {
        display: none;
    }

button {
    width: 120px;
    height: 40px;
    margin: 20px 0px;
    color: blue;
    border-radius: 10px;
    background-color: white;
    border: 1px solid black;
}

a {
    color: blue;
    text-decoration: none;
    font-size: 17px;
    font-weight: bold;
}

.Controller {
    margin-top: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.Name {
    margin-top: 15px;
}

    .Name input {
        height: 30px;
        padding-left: 5px;
    }

.Info {
    display: flex;
    flex-direction: column;
}

    .Info input {
        height: 30px;
        padding-left: 5px;
        margin-top: 10px;
    }

span {
    color: red;
    display: none;
}

.fail {
    border: 2px solid red;
}
button{
    cursor: pointer;
}